Summary: An X Window System-based calendar program
Name: ical 
Version: 3.0.4
Release: 2%{?dist}
Source0: https://launchpad.net/ical-tcl/3.x/%{version}/+download/ical-%{version}.tar.gz
Source1: ical.png
Url: http://wiki.tcl.tk/1861
License: distributable
Group: Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-root
Requires: tk >= 8.5.1
BuildRequires: tk >= 8.5.1
BuildRequires: tk-devel, tcl-devel

%description
Ical is an X Window System based calendar program. Ical will
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

%prep
%setup -q -n ical-tcl

%build

%configure --with-tclsh=%{_bindir}/tclsh \
	--with-tclconfig=%{_libdir} \
	--libdir=%{_libdir}
make OPTF="%optflags -fPIC" CXXFLAGS="%optflags -fPIC"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

%make_install MANDIR=${RPM_BUILD_ROOT}%{_mandir}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/ical.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ical
Name[sv]=Ical
Comment=calendar and scheduling program with group calendar capabilities
Comment[sv]=kalender- och schemaläggningsprogram med gruppkalendermöjligheter
Exec=ical
Icon=ical.png
Terminal=false
Type=Application
Categories=Application;Office;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYRIGHT.ORIG NEWS README TODO
%doc doc/ical.html doc/ical.man doc/interface.html
%doc contrib
%{_bindir}/ical*
%{_mandir}/man1/ical.1*
%{_libdir}/ical
%{_datadir}/applications/ical.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Apr 30 2021 Peter Hanecak <hany@hany.sk> 3.0.4-2
- few tweaks to then spec based on output from rpmlint

* Sun Apr 19 2020 Peter Hanecak <hany@hany.sk> 3.0.4-1
- updated to 3.0.4
- do not adding 'x' flag from contrib file to avoid messing with provides

* Wed Jun  4 2014 Peter Hanecak <hany@hany.sk> 3.0.2-2
- applied changes based on feedback from Michal Jaegermann
  <michal@harddata.com> and Alan Iwi <alan.iwi@stfc.ac.uk> to make
  this compile and work also with Tcl 8.6 shipped in current Rawhide
  (and future Fedora 21) or in SUSE 13.1RC1
- various other clean-ups based on feedback from rpmlint

* Sun Jan 20 2013 Peter Hanecak <hany@hany.sk> 3.0.2-1
- http://annexia.org/freeware/ical went out of business but thankfully
  another maintaner stepped in in the mean time: http://wiki.tcl.tk/1861

* Wed Jul  2 2008 Peter Hanecak <hany@hany.sk> 2.3.3-3
- applied patches from Dale Stimson <DaleStimson@gmail.com> which
  reduces run-time diagnostics and resolves some run-time warnings
  under tcl/tk 8.5

* Thu May  1 2008 Peter Hanecak <hany@hany.sk> 2.3.3-2
- rebuild agains tcl/tk 8.5

* Fri Sep 28 2007 Peter Hanecak <hany@hany.sk> 2.3.3-1
- updated to 2.3.3
- chmod a+x for contrib scripts

* Sun Nov  5 2006 Peter Hanecak <hany@hany.sk> 2.3.2-1
- updated to 2.3.2
- added %%{?dist} into spec
- dropped glibc-free patch - integrated upstream
- XMP icon converted to PNG and PNG version used in desktop file
- added ¨Encoding=UTF-8¨ into desktop file
- added some missing docs
- do not strip executables so that debuginfo package is not empty

* Tue Apr 18 2006 Peter Hanecak <hany@hany.sk> 2.3.1-2
- rebuild for Doors 9.0 (FC5)

* Mon Oct  3 2005 Peter Hanecak <hanecak@megaloman.sk> 2.3.1-1
- updated to 2.3.1
- dropped unecessary patches

* Mon Oct  3 2005 Peter Hanecak <hanecak@megaloman.sk> 2.2-30
- desktop file updated and moved to %%{_datadir}/applications/
- glibc 2.3 patch

* Sat Jul 16 2005 Peter Hanecak <hanecak@megaloman.sk> 2.2-29
- rebuild (FC3)

* Tue May 25 2004 Peter Hanecak <hanecak@megaloman.sk> 2.2-28
- rebuild against tcl-8.4.5-7 and tk-8.4.5-8

* Fri Sep 26 2003 Peter Hanecak <hanecak@megaloman.sk> 2.2-27
- incorporated ical-2.2-findscr.patch and spec tweaks from Tom Bennet
  <bennet@mc.edu> for building on RH9 like systems

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Jul 31 2001 Than Ngo <than@redhat.com>
- fix bug #50485

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Apr 29 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64
- fix build

* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- fixed ical -print option broken, thanks to wtanaka@yahoo.com (Bug #19627)
- used RPM_OPT_FLAGS

* Wed Oct 18 2000 Than Ngo <than@redhat.com>
- rebuilt against gcc-2.96-60 

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15311)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix dependencies

* Sat Jun  3 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against tcltk-8.3.1.
- diddle the ia64 patch to build against glibc-2.2.

* Sat May 20 2000 Ngo Than <than@redhat.de>
- put man pages in /usr/share/man/*

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- fixes for ia64 compilation

* Sun Mar 19 2000 Jeff Johnson <jbj@redhat.com>
- hack: add char * cast to compile with glibc-2.95.

* Sat Mar 18 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against tcl-8.2.3.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- convert wmconfig to .desktop
- strip man page

* Sat May 15 1999 Jeff Johnson <jbj@redhat.com>
- Mark /etc/X11/wmconfig/ical as %%config (#31)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- patch to build against the latest tcltk

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- replaced references to the version number with %%{PACKAGE_VERSION}

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated to version 2.2, which is supposed to work with Tcl/Tk 8.0
- added wmconfig entry

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- Update version

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- build against tcl/tk 8.0

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
